commit 568d5b245ad6e97b461afddc07f563020eed9d24
Author: Sralbotka <kouba.prem@gmail.com>
Date:   Mon Jun 10 21:45:46 2019 +0200

    test fix - bugs in application

diff --git a/sources/imiger-core/src/main/webapp/js/components/edge.js b/sources/imiger-core/src/main/webapp/js/components/edge.js
index 2cd20d9..4372a34 100644
--- a/sources/imiger-core/src/main/webapp/js/components/edge.js
+++ b/sources/imiger-core/src/main/webapp/js/components/edge.js
@@ -269,7 +269,7 @@ class Edge {
 	 */
 	_onEdgeClick(e) {
 		app.viewportComponent.edgePopoverComponent.body = this.subedgeInfo;
-		app.viewportComponent.edgePopoverComponent.position = new Coordinates(e.clientX, e.clientY);
+		app.viewportComponent.edgePopoverComponent.position = new Coordinates(e.clientX, e.layerY);
 		app.viewportComponent.edgePopoverComponent.open();
 
 		// unhighlight other edges
diff --git a/sources/imiger-core/src/main/webapp/js/components/vertex.js b/sources/imiger-core/src/main/webapp/js/components/vertex.js
index dd156e1..f575abd 100644
--- a/sources/imiger-core/src/main/webapp/js/components/vertex.js
+++ b/sources/imiger-core/src/main/webapp/js/components/vertex.js
@@ -322,7 +322,7 @@ class Vertex extends Node {
 
 		app.viewportComponent.vertexPopoverComponent.title = this.name + ` (${app.archetype.vertex[this.archetype].name})`;
 		app.viewportComponent.vertexPopoverComponent.body = this.attributes;
-		app.viewportComponent.vertexPopoverComponent.position = new Coordinates(e.clientX, e.clientY);
+		app.viewportComponent.vertexPopoverComponent.position = new Coordinates(e.clientX, e.layerY);
 		app.viewportComponent.vertexPopoverComponent.open();
 	}
 
